Package commoble.infiniverse.api

# Class UnregisterDimensionEvent

java.lang.Object
net.minecraftforge.eventbus.api.Event
commoble.infiniverse.api.UnregisterDimensionEvent

public class UnregisterDimensionEvent extends net.minecraftforge.eventbus.api.Event
Fires when a dimension/level is about to be unregistered by Infiniverse.
This event fires on `MinecraftForge.EVENT_BUS` and is not cancellable.

## Nested Class Summary

## Nested classes/interfaces inherited from class net.minecraftforge.eventbus.api.Event

`net.minecraftforge.eventbus.api.Event.HasResult, net.minecraftforge.eventbus.api.Event.Result`

## Constructor Summary

Constructors
Constructor
Description
`UnregisterDimensionEvent(net.minecraft.server.level.ServerLevel level)`

## Method Summary

Modifier and Type
Method
Description
`net.minecraft.server.level.ServerLevel`
`getLevel()`

### Methods inherited from class net.minecraftforge.eventbus.api.Event

`getListenerList, getPhase, getResult, hasResult, isCancelable, isCanceled, setCanceled, setPhase, setResult`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UnregisterDimensionEvent

public UnregisterDimensionEvent(net.minecraft.server.level.ServerLevel level)

## Method Details

### getLevel

public net.minecraft.server.level.ServerLevel getLevel()

Returns:
  The level that is about to be unregistered by Infiniverse.